Opened 5 years ago

Closed 5 years ago

#46797 closed update (fixed)

whizard @2.2.3_0: update to 2.2.4, default to `+gcc49` variant, add `+gcc5` variant

Reported by: Romendakil Owned by: larryv (Lawrence Velázquez)
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch maintainer Cc: whizard@…
Port: whizard

Description (last modified by larryv (Lawrence Velázquez))

Update Port whizard (science) from its version 2.2.3 to 2.2.4.
Adding gcc5 as possible build compiler, switching default compiler from 4.8 to 4.9.

Attachments (3)

Portfile-whizard.diff (1.8 KB) - added by Romendakil 5 years ago.
Patch file for whizard port update
Portfile-whizard.2.diff (1.8 KB) - added by Romendakil 5 years ago.
New diff for Portfiles including remarks from ryandesign@…
Portfile-whizard.3.diff (1.8 KB) - added by Romendakil 5 years ago.
Patch for Portfile from WHIZARD v2.2.3 -> v2.2.5

Download all attachments as: .zip

Change History (13)

Changed 5 years ago by Romendakil

Attachment: Portfile-whizard.diff added

Patch file for whizard port update

comment:1 Changed 5 years ago by Romendakil

Cc: juergen.reuter@… added

Cc Me!

comment:2 Changed 5 years ago by Romendakil

Cc: juergen.reuter@… removed

Cc Me!

comment:3 Changed 5 years ago by Romendakil

Please cc also whizard@…

comment:4 Changed 5 years ago by larryv (Lawrence Velázquez)

Cc: whizard@… added
Description: modified (diff)
Keywords: haspatch maintainer added; Port version update removed
Summary: Update Port whizard (science)whizard @2.2.3_0: update to 2.2.4, default to `+gcc49` variant, add `+gcc5` variant
Version: 2.3.3

comment:5 Changed 5 years ago by ryandesign (Ryan Schmidt)

With gcc 5, the version numbering scheme has changed. Whereas we had gcc 4.7, 4.8, 4.9, we will in the future have gcc 5, 6, 7, etc.

So the description for the gcc5 variant should mention gcc 5 (not gcc 5.0), and the configure.compiler directive should specify macports-gcc-5 (not macports-gcc-5.0).

The section that sets the default_variants to +gcc49 should be updated to not do so if the gcc5 variant has already been selected.

comment:6 in reply to:  5 Changed 5 years ago by Romendakil

Replying to ryandesign@…:

With gcc 5, the version numbering scheme has changed. Whereas we had gcc 4.7, 4.8, 4.9, we will in the future have gcc 5, 6, 7, etc.

So the description for the gcc5 variant should mention gcc 5 (not gcc 5.0), and the configure.compiler directive should specify macports-gcc-5 (not macports-gcc-5.0).

The section that sets the default_variants to +gcc49 should be updated to not do so if the gcc5 variant has already been selected.

Hey, thanks for the remarks. I updated the Portfile accordingly.

Changed 5 years ago by Romendakil

Attachment: Portfile-whizard.2.diff added

New diff for Portfiles including remarks from ryandesign@…

comment:7 Changed 5 years ago by Romendakil

What is the status of this? On next week's Friday we will release v2.2.5 of our software. Shall I then immediately provide the new portfile for 2.2.5?

Changed 5 years ago by Romendakil

Attachment: Portfile-whizard.3.diff added

Patch for Portfile from WHIZARD v2.2.3 -> v2.2.5

comment:8 Changed 5 years ago by Romendakil

As I said, now our version 2.2.5 of WHIZARD is out. I attached the patch for the Portfile from version 2.2.3 to the new version 2.2.5. Hope that this is ok, and that you could update this now on a short time scale. Thanks a lot.

comment:9 Changed 5 years ago by larryv (Lawrence Velázquez)

Owner: changed from macports-tickets@… to larryv@…
Status: newassigned

Thanks, and sorry for the delay. In the future, please email macports-dev to get the attention of a committer.

comment:10 Changed 5 years ago by larryv (Lawrence Velázquez)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.